Subject: [PATCH 01/15] watchdog: orion: Remove unneeded BRIDGE_CAUSE clear

From: [email-masked] (Ezequiel Garcia)
Date: Tue, 27 Aug 2013 16:13:38 -0300

On Tue, Aug 27, 2013 at 11:25:35AM -0400, Jason Cooper wrote:
> On Tue, Aug 27, 2013 at 12:11:37PM -0300, Ezequiel Garcia wrote:
> > On Tue, Aug 27, 2013 at 04:39:39PM +0200, Thomas Petazzoni wrote:
> > > Dear Ezequiel Garcia,
> > > 
> > > On Tue, 27 Aug 2013 11:34:25 -0300, Ezequiel Garcia wrote:
> > > > With the introduction of the orion irqchip driver, now the BRIDGE_CAUSE
> > > > bit is cleared by it. There's no longer a need to do it in the watchdog
> > > > driver, so we can simply remove it.
> > > > 
> > > > Signed-off-by: Ezequiel Garcia <[email-masked]>
> > > 
> > > Is this going to work with the platforms that use the orion_wdt driver
> > > but are not using the orion irqchip driver? Take for example
> > > mach-orion5x, it still uses the plat-orion/irq.c code and not the
> > > irqchip orion driver, as far as I can see.
> > > 
> > > The orion irqchip driver is DT only, so all of the Orion platforms that
> > > have not been converted to DT are still using the old irq code.
> > > 
> > > Any thoughts on the consequences of this in relation with your patch?
> > > 
> > 
> > Argh, you're right, We've completely missed this.
> > 
> > And it's a *very* important point because we need this patch
> > to ultimately get rid of the mach/brideg-regs.h.
> > 
> > Quite frankly I'm really out of ideas right now and unless someone
> > comes up with a smart solution, I see no other way but to:
> > 
> > 1. Implement an armada-wdt.c driver and stop trying to fix the world.
> > 2. Add some ugly ifdefs to avoid the mach-specific header.
> > 3. ?
> 
> 3. add a handler to plat-orion/irq.c ?
> 

Hm.. first of all: *why* do we need to clear this at all?

Does anybody has a clear explanation for this?
-- 
Ezequiel Garc?a, Free Electrons
Embedded Linux, Kernel and Android Engineering
http://free-electrons.com